import { Module } from '@nuxt/types';
import { GraphqlServerMiddlewareConfig } from './../serverMiddleware';
import { GraphqlMiddlewarePluginConfig } from './../plugin';
import { GraphqlMiddlewareCodegenConfig } from './codegen';
export interface GraphqlMiddlewareConfig {
    graphqlServer: string;
    typescript?: GraphqlMiddlewareCodegenConfig;
    endpointNamespace?: string;
    debug: boolean;
    queries: Record<string, string>;
    mutations: Record<string, string>;
    outputPath: string;
    plugin?: GraphqlMiddlewarePluginConfig;
    server?: GraphqlServerMiddlewareConfig;
}
export declare const graphqlMiddleware: Module;
//# sourceMappingURL=index.d.ts.map